Retrieve ATS job postings

List job postings across your organization, optionally filtered by job board or job ID. Omit filters to retrieve all postings; use the job-board-scoped endpoint instead for queries by board alone.

Token scopes: ats:read, worker:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.deel.training/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

job_board_idstringOptionalformat: "uuid"

Job board to list postings from (UUID).

job_idstringOptionalformat: "uuid"

When set, only postings for this job are returned (UUID).

cursorstringOptional<=1000 characters

Opaque cursor for pagination. Use the value from next_cursor of the previous response to fetch the next page.

limitintegerOptional1-100

Maximum number of job postings to return per page (min: 1, max: 100).

Response

Successful operation. Returns job postings for the requested job board (and optional job filter), with nested job details and publication state per board.

datalist of objects
has_moreboolean
Indicates if there are more results available
next_cursorstring or null
Cursor for the next page of results
total_countinteger>=0
Total number of job postings

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error